pamr.confusion.survival {pamr} | R Documentation

## Compute confusin matrix from pamr survival fit

### Description

computes confusion matrix for (survival.time,censoring) outcome based on fit object "fit" and class predictions "yhat" soft response probabilities for (survival.time,censoring) are first estimated using Kaplan-Meier method applied to training data

### Usage

    pamr.confusion.survival(fit, survival.time, censoring.status, yhat)

### Arguments

`fit` | The result of a call to pamr.train or pamr.cv
`survival.time` | Survival time
`censoring.status` | censoring status
`yhat` | class predictions

### Details

### Author(s)

Trevor Hastie, Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

[Package pamr version 1.36.0 Index]